/*
 * search.c : Find device
 */

#include <stdio.h>
#include <stdlib.h>
#include <usb.h>

#define VID  0x12bf
#define	PID  0xff04

int main(int argc, char *argv[]) {
  struct usb_bus *bus;

  usb_init();
  usb_find_busses();
  usb_find_devices();

  for (bus = usb_get_busses(); bus != NULL; bus=bus->next) {
    struct usb_device *device;

    for (device = bus->devices; device != NULL; device = device->next) {
      if (device->descriptor.idVendor == VID &&
          device->descriptor.idProduct == PID) {
	    printf("Device found\n");
	    exit(0);
      }
    }
  }
  printf("Device not found\n");
  exit(1);
}
